<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAssetsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: assets
         */
        Schema::create('assets', function ($table) {
            $table->increments('id');
            $table->string('name', 100)->nullable();
            $table->string('type_m', 100)->nullable();
            $table->string('class_m', 100)->nullable();
            $table->string('operating_area_m', 100)->nullable();
            $table->string('manufacture_m', 100)->nullable();
            $table->string('make_m', 100)->nullable();
            $table->string('model_m', 100)->nullable();
            $table->string('certificate_of_operation_m', 100)->nullable();
            $table->string('certificate_of_survey_m', 100)->nullable();
            $table->longText('communications_m')->nullable();
            $table->longText('navigations_m')->nullable();
            $table->text('images')->nullable();
            $table->string('uvi', 100)->nullable();
            $table->string('hull_identification_no', 100)->nullable();
            $table->string('buoyancy', 100)->nullable();
            $table->string('manufacture_date', 100)->nullable();
            $table->string('length', 100)->nullable();
            $table->string('beam_width', 100)->nullable();
            $table->string('draft', 100)->nullable();
            $table->string('displacement', 100)->nullable();
            $table->string('hull_type', 100)->nullable();
            $table->string('hull_construction', 100)->nullable();
            $table->string('hull_color', 100)->nullable();
            $table->string('other_distinguishing_features', 100)->nullable();
            $table->string('life_raft', 100)->nullable();
            $table->string('vessel_propulsion_type', 100)->nullable();
            $table->string('max_engine_power', 100)->nullable();
            $table->string('max_engine_weight', 100)->nullable();
            $table->integer('no_of_engines')->nullable();
            $table->integer('max_no_persons')->nullable();
            $table->integer('max_load')->nullable();
            $table->string('fuel_type', 100)->nullable();
            $table->string('fuel_tank_capacity', 100)->nullable();
            $table->enum('status', ['Draft','Pending','Approved','Rejected',''])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('assets');
    }
}
