<?php

// API routes  for asset
Route::prefix('{guard}/asset')->group(function () {
    Route::get('asset/form/{element}', 'AssetAPIController@form');
    Route::resource('asset', 'AssetAPIController');
});

// Public routes for asset
Route::get('assets/', 'AssetPublicController@index');
Route::get('assets/{slug?}', 'AssetPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for assets
            Route::prefix('{guard}/asset')->group(function () {
                Route::get('asset/form/{element}', 'AssetAPIController@form');
                Route::apiResource('asset', 'AssetAPIController');
            });
            // Public routes for assets
            Route::get('asset/Asset', 'AssetPublicController@getAsset');
        }
    );
}


// API routes  for engine
Route::prefix('{guard}/asset')->group(function () {
    Route::get('engine/form/{element}', 'EngineAPIController@form');
    Route::resource('engine', 'EngineAPIController');
});

// Public routes for engine
Route::get('assets/', 'EnginePublicController@index');
Route::get('assets/{slug?}', 'EnginePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for assets
            Route::prefix('{guard}/asset')->group(function () {
                Route::get('engine/form/{element}', 'EngineAPIController@form');
                Route::apiResource('engine', 'EngineAPIController');
            });
            // Public routes for assets
            Route::get('asset/Engine', 'EnginePublicController@getEngine');
        }
    );
}

