<?php

// web routes  for asset
Route::prefix('{guard}/asset')->group(function () {
    Route::resource('asset', 'AssetResourceController');
});

// Public routes for asset
Route::get('assets/', 'AssetPublicController@index');
Route::get('assets/{slug?}', 'AssetPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AssetResourceController');
            });
            // Public routes for pages
            Route::get('assets/', 'AssetPublicController@index');
            Route::get('assets/{slug?}', 'AssetPublicController@show');
        }
    );
}


// web routes  for engine
Route::prefix('{guard}/asset')->group(function () {
    Route::resource('engine', 'EngineResourceController');
});

// Public routes for engine
Route::get('assets/', 'EnginePublicController@index');
Route::get('assets/{slug?}', 'EnginePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'EngineResourceController');
            });
            // Public routes for pages
            Route::get('assets/', 'EnginePublicController@index');
            Route::get('assets/{slug?}', 'EnginePublicController@show');
        }
    );
}

