<?php

namespace Moblyze\Asset;

use User;

class Asset
{
    /**
     * $asset object.
     */
    protected $asset;
    /**
     * $engine object.
     */
    protected $engine;

    /**
     * Constructor.
     */
    public function __construct(\Moblyze\Asset\Interfaces\AssetRepositoryInterface $asset,
        \Moblyze\Asset\Interfaces\EngineRepositoryInterface $engine)
    {
        $this->asset = $asset;
        $this->engine = $engine;
    }

    /**
     * Returns count of asset.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.asset.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->asset->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\AssetUserCriteria());
        }

        $asset = $this->asset->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('asset::' . $view, compact('asset'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.engine.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->engine->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\EngineUserCriteria());
        }

        $engine = $this->engine->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('asset::' . $view, compact('engine'))->render();
    }
}
